Author Topic: Existing Column  (Read 2107 times)

rportinga

  • Full Member
  • ***
  • Posts: 117
    • View Profile
    • Bauer Bros. Construction, Inc.
    • Email
Existing Column
« on: May 27, 2009, 12:46:01 pm »
I ran into some issues when upgrading to 1.4.1 (connection issues or something that interrupted the upgrade)
Had to re-run the upgrade, now I end up with this...

    * Config file found and loaded.
    * File '/config/config.php' exists and is writable
    * Folder '/config' exists and is writable
    * Folder '/public/files' exists and is writable
    * Folder '/cache' exists and is writable
    * Folder '/tmp' exists and is writable
    * Folder '/upload' exists and is writable
    * Extension 'mysql' is loaded
    * Extension 'gd' is loaded
    * Extension 'simplexml' is loaded
    * Upgrade script has connected to the database.
    * Test query has been executed. Its safe to proceed with database migration.
    * Upgrade script has connected to the database.
    * Test query has been executed. Its safe to proceed with database migration.
    *
    * Failed to execute DB schema transformations. MySQL said: Duplicate column name 'type'
    * Error upgrading to version 1.4.1


The Duplicate column type is the issue...

I reloaded from the start, and it's working... so it seems...

is this something I should dig more in to, or am I good to go?
Rob Portinga
Bauer Bros. Construction, Inc.

alvarotm01

  • Administrator
  • Sr. Member
  • *****
  • Posts: 335
    • View Profile
    • Email
Re: Existing Column
« Reply #1 on: May 28, 2009, 10:06:19 am »
Hi,
I think that all database modifications were performed the first time you executed the update, and as it was interrupted, couldn't change the version number, so when running it again tried to perform the changes again.
To ensure all database changes were made look in the table 'reports' and look for the column `is_order_by_asc`, if it is present then all db modifications were made (as this is the last column added by the upgrader), and the only thing you have to do is change the value of 'config/installed_version.php' to 1.4.1

greetings

 

anything